cutlass::reference::device::BlockForEach< Element, Func > Struct Template Reference

`#include <tensor_foreach.h>`

## Public Member Functions

| BlockForEach (Element *ptr, size_t capacity, typename Func::Params params=typename Func::Params(), int grid_size=0, int block_size=0)
| Constructor performs the operation. More...

## Constructor & Destructor Documentation

template<typename Element, typename Func>

cutlass::reference::device::BlockForEach< Element, Func >::BlockForEach | ( | Element * | ptr,
|  | size_t | capacity,
|  | typename Func::Params | params = `typename Func::Params()`,
|  | int | grid_size = `0`,
|  | int | block_size = `0`
| ) |  |

inline

The documentation for this struct was generated from the following file:

- device/tensor_foreach.h